# -*- coding: utf-8 -*-
# Copyright 2022 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
from .cloud_memcache import (
    ApplyParametersRequest,
    ApplySoftwareUpdateRequest,
    CreateInstanceRequest,
    DeleteInstanceRequest,
    GetInstanceRequest,
    Instance,
    ListInstancesRequest,
    ListInstancesResponse,
    LocationMetadata,
    MemcacheParameters,
    MemcacheVersion,
    OperationMetadata,
    UpdateInstanceRequest,
    UpdateParametersRequest,
    ZoneMetadata,
)

__all__ = (
    "ApplyParametersRequest",
    "ApplySoftwareUpdateRequest",
    "CreateInstanceRequest",
    "DeleteInstanceRequest",
    "GetInstanceRequest",
    "Instance",
    "ListInstancesRequest",
    "ListInstancesResponse",
    "LocationMetadata",
    "MemcacheParameters",
    "OperationMetadata",
    "UpdateInstanceRequest",
    "UpdateParametersRequest",
    "ZoneMetadata",
    "MemcacheVersion",
)
